# {{ ansible_managed }}
version: "3.7"
services:
  prometheus:
    image: prom/prometheus:latest
    container_name: prometheus
    ports:
      - "127.0.0.1:9090:9090"
    command:
      - --config.file=/etc/prometheus/prometheus.yml
    volumes:
      - ./prometheus.yml:/etc/prometheus/prometheus.yml:ro
    depends_on:
      - cadvisor
  cadvisor:
    image: gcr.io/google-containers/cadvisor:latest
    container_name: cadvisor
    expose:
      - 6379
    volumes:
      - /:/rootfs:ro
      - /var/run:/var/run:rw
      - /sys:/sys:ro
      - /var/lib/docker/:/var/lib/docker:ro
    depends_on:
      - redis
  redis:
    image: redis:latest
    container_name: redis
    expose:
      - 6379
  grafana:
    image: grafana/grafana:latest
    container_name: grafana
    environment:
      - "GF_SECURITY_ADMIN_PASSWORD={{ grafana_admin_password }}"
    volumes:
      - ./grafana-provisioning:/etc/grafana/provisioning
    ports:
      - {{ grafana_external_http_port }}:3000